Skip to main content

token_create

POST 

/public-api/token/

Authenticate with username and password to get an access and refresh tokens.

After submitting your credentials, you will receive two tokens:

  • Access token
    Use this token to authenticate requests to the API.
    This token is valid for 15 minutes.

  • Refresh token
    Use this token to request a new access token when the current one expires.
    This token is valid for 60 days.

Token expiration

After 15 minutes, the access token expires and can no longer be used to access the API.
You must then use the refresh token to obtain a new token pair.

After 60 days, the refresh token also expires.
When that happens, you must submit your username and password again to obtain a new pair of tokens.

Please do not get a new access token again with this endpoint, because the amount of outstanding tokens is limited. You can use your refresh token at /token/refresh/ to refresh both access and refresh tokens.

Request

Responses